Devo essere Intrepid?

In questi giorni sto veramente pensando di fare il salto e di passare ad Intrepid Ibex da subito, senza aspettare il rilascio ufficiale. Il fatto è che col tempo ho “imbastardito” la mia Hardy per avere un po’ di software ultra-aggiornato col risultato che un paio di cose sono diventate instabili.

Da due giorni non riesco a fare il dist-upgrade perché il pacchetto ifupdown (che viene dal ppa di network-manager che potete trovare qui sotto) è in conflitto con net-base. Inoltre non funziona più il suspend. Giusto per darvi un’idea vi allego il mio sources.list e relativa directory soures.list.d:

==> sources.list <==
# deb cdrom:[Ubuntu 8.04 _Hardy Heron_ – Alpha amd64 (20080222)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fileserver.uniroma1.it/ubuntu/ hardy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fileserver.uniroma1.it/ubuntu/ hardy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fileserver.uniroma1.it/ubuntu/ hardy universe
deb http://fileserver.uniroma1.it/ubuntu/ hardy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fileserver.uniroma1.it/ubuntu/ hardy multiverse
deb http://fileserver.uniroma1.it/ubuntu/ hardy-updates multiverse

## Uncomment the following two lines to add software from the ‘backports’
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fileserver.uniroma1.it/ubuntu/ hardy-backports main restricted universe multiverse
#deb-src http://fileserver.uniroma1.it/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical’s
## ‘partner’ repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu/ hardy partner
#deb-src http://archive.canonical.com/ubuntu/ hardy partner

deb http://security.ubuntu.com/ubuntu/ hardy-security main restricted universe multiverse

deb http://fileserver.uniroma1.it/ubuntu/ hardy-proposed restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu/ hardy universe
deb http://ppa.launchpad.net/do-core/ubuntu hardy main #GNOME Do
deb http://ppa.launchpad.net/gilir/ubuntu hardy main #Screenlets
deb http://wine.budgetdedicated.com/apt hardy main #Wine
deb http://ppa.launchpad.net/gnome-terminator/ubuntu hardy main #Terminator

==> sources.list.d/alsa.list <==
deb http://ppa.launchpad.net/jarkko-jab/ubuntu hardy main
#deb-src http://ppa.launchpad.net/jarkko-jab/ubuntu hardy main

==> sources.list.d/fprint.list <==
deb http://ppa.launchpad.net/madman2k/ubuntu hardy main restricted universe multiverse

==> sources.list.d/galaxium.list <==
deb http://ppa.launchpad.net/paulburton89/ubuntu hardy main

==> sources.list.d/gnome-applets.list <==
deb http://ppa.launchpad.net/matteozandi/ubuntu hardy main
# deb-src http://ppa.launchpad.net/matteozandi/ubuntu hardy main

==> sources.list.d/gnomescan.list <==
deb http://ppa.launchpad.net/bersace/ubuntu hardy main
# deb-src http://ppa.launchpad.net/bersace/ubuntu hardy main

==> sources.list.d/googlegadgets.list <==
deb http://ppa.launchpad.net/googlegadgets/ubuntu hardy main
# deb-src http://ppa.launchpad.net/googlegadgets/ubuntu hardy main

==> sources.list.d/intuitivenipple.list <==
deb http://ppa.launchpad.net/intuitivenipple/ubuntu hardy main

==> sources.list.d/medibuntu.list <==
## Medibuntu – Ubuntu 7.10 “gutsy gibbon”
## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://packages.medibuntu.org/ hardy free non-free
# deb-src http://packages.medibuntu.org/ hardy free non-free

==> sources.list.d/network-manager.list <==
deb http://ppa.launchpad.net/network-manager/ubuntu hardy main
#deb-src http://ppa.launchpad.net/network-manager/ubuntu hardy main

==> sources.list.d/new_human_theme.list <==
deb http://ppa.launchpad.net/kwwii/ubuntu hardy main
# deb-src http://ppa.launchpad.net/kwwii/ubuntu hardy main

==> sources.list.d/pidgin.list <==
deb http://ppa.launchpad.net/pidgin-developers/ubuntu hardy main
# deb-src http://ppa.launchpad.net/pidgin-developers/ubuntu hardy main

==> sources.list.d/sqlite3.list <==
# per correggere un errore di liferea:
# https://bugs.launchpad.net/ubuntu/+source/liferea/+bug/203413/comments/11
deb http://ppa.launchpad.net/kalon33/ubuntu hardy main
#deb-src http://ppa.launchpad.net/kalon33/ubuntu hardy main

==> sources.list.d/subversion_and_more.list <==
deb http://ppa.launchpad.net/clazzes.org/ubuntu hardy main
deb-src http://ppa.launchpad.net/clazzes.org/ubuntu hardy main

==> sources.list.d/ubuntu-tweak.list <==
deb http://ppa.launchpad.net/tualatrix/ubuntu hardy main
# deb-src http://ppa.launchpad.net/tualatrix/ubuntu hardy main

==> sources.list.d/upure64.list <==
## uPure64 Repository
deb http://download.tuxfamily.org/upure64/ hardy-upure64 main
# deb-src http://download.tuxfamily.org/upure64/ hardy-upure64 main

Complicatino vero? Se devo essere sincero di alcune cose proprio non ricordo perché le ho messo (sqlite?) ma probabilmente erano dipendenze per altri pacchetti.

Molte cose si risolverebbero tranquillamente se passassi ad Intrepid Ibex. Fra l’altro in questi giorni mi sarebbe servita una delle nuove funzioni del nuovo gioiellino di Ubuntu: la crittografia automatica di una cartella¹ (la cartella ~/Private) che nella nuova release è praticamente automatica mentre su Hardy ho dovuto smanettare un po’ e non sono riuscito automatizzare del tutto il montaggio (non c’ho perso molto tempo a dire il vero).

Insomma, credo proprio che fra un po’ cederò al lato oscuro (dopotutto il portatile mi serve per lavoro e non averlo stabile mi romperebbe alquanto) e installerò la beta!😀

Voi che ne dite?

bye
CDF

¹ no, non sono così paranoico da necessitare di un intero filesystem crittografato.

4 Risposte

  1. La uso dall’alpha5 e devo dire che non ho avuto problemi (se non all’inizio: http://www.matteomoro.net/2008/09/18/primi-giorni-e-piccoli-problemi-con-ubuntu-810-intrepid-ibex/)

  2. Ho letto e i due piccoli problemucci per me non sarebbero tali … magari magari …😀

  3. Io ho fatto l’upgrade quando ha smesso di funzionare NM dal ppa, nessun grosso problema fino ad ora. Del resto mancano circa 15 giorni al rilascio, forza dai!🙂

  4. Domani ho la presentazione e mi serve il computer funzionante… magari martedì …😀

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: